// User Interface
del("X[IMAGE_CONTAINER]");

item_array = ['10','20','30','40','50','60'];
material_array = ['L-10Y','100-300','L-80F','CP-100','C-200','L-200'];
plant_array = ['1000','1200','1200','1000','2500','3000'];
      
table([1,3], [10,27], {"name":"z_table", "title":"Material List", "rows":10, "singlerowselection":true, "readonly":true});
column("Item", {"position":1, "table":"z_table", "name":"z_itemcolumn", "size":4, "readonly":true});
column("Material", {"position":2, "table":"z_table", "name":"z_matcolumn", "size":9, "maxlength":18, "readonly":true});
column("Plant", {"position":3, "table":"z_table", "name":"z_plantcolumn", "size":4, "readonly":true});      

inputfield([5,30], "Material", [5,40], {"name":"z_mat", "size":18});
pushbutton([1,30], "Clear Selection", {"process":deSelect});
pushbutton([4,30], "Read  Selection Details", {"process":readSelection});

for(i=0;i<material_array.length;i++){
	z_table.z_itemcolumn = item_array;
	z_table.z_matcolumn = material_array;
	z_table.z_plantcolumn = plant_array;      
}   

// Function to clear the row selection
function deSelect(){
	onscreen '*'
		for(i=0; i<item_array.length; i++){   
			z_table.selectedrows = " ";		// Deselect line items
		}
		set("V[z_mat]","");
		enter('?');   
}

// Function to read the selection details (Material in this case)
function readSelection(){
	onscreen '*'
		for(i=0; i<z_table.selectedrows.length; i++){
			if(z_table.selectedrows[i] == "X"){
				set("V[z_mat]",z_table.z_matcolumn[i]);
				break;		
			} else{
				if(i == z_table.selectedrows.length){
					break;
				}
			}
		}
		enter('?');   
}



